Priority: Normal Due date:  

Assigned To: Mayer Michael % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.0.0   

Description

I am using a large GObservations container, which includes about 200 (or more) GCTAObservations. Currently, if we are interested

in the log file, one has to browse incredibly long to find the part of interest, since the dump of GObservations into the log file takes a

huge space. Maybe it could be interesting to some users to truncate this by just printing the number of observation in the container

(even though a large verbosity is desired).

History

#1 - 07/09/2015 04:56 PM - Knödlseder Jürgen

I had indeed also the feeling that the default log was too verbose. There are verbosity levels implemented, hence we may switch to a less verbose

printing. This can in fact be done in the GObservations::print() method, so that it will be homogenous across all tools.

#2 - 07/10/2015 10:20 AM - Mayer Michael

- Status changed from New to Pull request

- Assigned To set to Mayer Michael

- % Done changed from 0 to 100

I agree, I reduced the chattiness of GObservations::print() and added the number of model in the container to the output. Change is on branch 

1511-reduce-GObservations-verbosity

#3 - 07/10/2015 02:22 PM - Mayer Michael

should mention that the branch is in gammalib.

#4 - 07/23/2015 05:33 PM - Knödlseder Jürgen

- Project changed from ctools to GammaLib

#5 - 07/23/2015 05:43 PM - Knödlseder Jürgen

This pull request has also a modification in GApplication in. Is this related to this issue?

const GApplicationPars& pars(void)const{return m_pars;};

#6 - 07/23/2015 06:00 PM - Mayer Michael

Apparently, I mixed up some commits. Apologize for this, it is completely unrelated, you can ignore it. However, it would be nice to have such a

function in GApplication after all smile.png 
#7 - 07/23/2015 09:57 PM - Knödlseder Jürgen

- Status changed from Pull request to Closed

- Target version set to 1.0.0

Merged into devel (without the change of GApplication).

What would be the use case for having a pars() method?
